package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.project.MultiSimulationSceneCarParam;
import api.common.pojo.param.project.MultiSimulationSceneParam;
import api.common.pojo.po.project.MultiSimulationScenePO;
import api.common.pojo.vo.project.MultiSimulationSceneCarVO;
import api.common.pojo.vo.project.MultiSimulationSceneVO;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface MultiSimulationSceneCarMapper {
//    @Insert("insert into multi_simulation_scene (id,project_id) values" +
//        "(#{id},#{projectId})")
//    int addMultiSimulationScene(MultiSimulationScenePO scenePO);

    @Select("select count(*) from multi_simulation_scene_car where scene_id = #{sceneId} and deleted = 0")
    int selectSceneCarNumsByProjectId(@Param("sceneId") String sceneId);

//    @Update("update multi_simulation_scene set deleted = 1 where id = #{sceneId}")
//    int deleteMultiSimulationScene(MultiSimulationSceneParam param);
//
    @Select("<script>" +
        "select id,sceneId,carId,algorithmId,pathId,pathStart,pathEnd,pathStartPoint,pathEndPoint,carSort,createTime from multi_simulation_scene_car where deleted = 0 " +
        "and scene_id = #{sceneId}" +
        "order by carSort, create_time desc" +
        "</script>")
    List<MultiSimulationSceneCarVO> selectSceneCarList(MultiSimulationSceneCarParam param);

}
